Summary:	A GNU arbitrary precision library.
Name:		libgmp
Group:		System Environment/Libraries
License:	LGPL 
Version:	4.1.4
Release:	1
Source0:	ftp://ftp.gnu.org/pub/gnu/gmp/gmp-%{version}.tar.bz2
Patch0:		gmp-4.1.2-non-fatal-configure-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
Obsoletes:	gmp

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

%files
  %defattr(-,root,root)
  %doc COPYING NEWS README
  %attr(0555,root,root)	%{_libdir}/libgmp.so.*
  %attr(0555,root,root)	%{_libdir}/libmp.so.*

%package devel
Summary:	Development tools for the GNU MP arbitrary precision library.
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	gmp-devel

%description devel
The static libraries, header files and documentation for using the GNU
MP arbitrary precision library in applications.

%files devel
  %defattr(-,root,root)
  %doc %{_infodir}/gmp.info*

  %attr(0555,root,root)	%{_libdir}/libmp.so
  %attr(0555,root,root)	%{_libdir}/libgmp.so

  %attr(0444,root,root)	%{_libdir}/libmp.a
  %attr(0444,root,root)	%{_libdir}/libmp.la
  %attr(0444,root,root)	%{_libdir}/libgmp.a
  %attr(0444,root,root)	%{_libdir}/libgmp.la
  %attr(0444,root,root)	%{_includedir}/mp.h
  %attr(0444,root,root)	%{_includedir}/gmp.h
  %attr(0444,root,root)	%{_includedir}/gmp-mparam.h

%prep
%setup -q -n gmp-%{version}
%patch0 -p1

%build
  %configure --enable-mpbsd
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall
  install gmp-mparam.h $RPM_BUILD_ROOT/%{_includedir}

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 4.1.4, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
